## ppl 0.10.2

=== debian/changelog ===
ppl (0.10.2-7ubuntu1) maverick; urgency=low

  * Merge from debian unstable(LP: #617710). remaining changes:
    - disable building the SWI-Prolog bindings as its in universe.
  * Set ubuntu maintainer

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 13 Aug 2010 13:06:58 +0530

ppl (0.10.2-7) unstable; urgency=low

  * Drop xpdf-utils from build depends to fix FTBFS. Closes: #591155.
  * Bumped Standars-Version to 3.9.1 (no changes).
  * Specifically require automake1.10 as we modify some Makefile.am.
  * swi-prolog now ships executable linker as swipl-ld.

 -- Michael Tautschnig <mt@debian.org>  Sun, 01 Aug 2010 12:22:05 +0200

ppl (0.10.2-6ubuntu1) lucid; urgency=low
 
  * Disable building the SWI-Prolog bindings (universe).
 
 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Mar 2010 10:46:20 +0100

ppl (0.10.2-6) unstable; urgency=low

  * Another bugfix to work around incomplete signal handling on hurd.

 -- Michael Tautschnig <mt@debian.org>  Tue, 02 Mar 2010 16:08:49 +0100

ppl (0.10.2-5) unstable; urgency=low

  * Dropped versioned build dep on libgmp3-dev as even etch has a sufficiently
    new version.
  * Dropped build dep on quilt.
  * Added upstream patches to work around incomplete signal handling on hurd.
  * Disable 2 Prolog tests as there is some failure on PowerPC only that I'm
    unable to debug. Closes: #570387.

 -- Michael Tautschnig <mt@debian.org>  Sun, 28 Feb 2010 10:35:31 +0100

ppl (0.10.2-4) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format, removed quilt-related code from
    debian/rules.
  * Bumped Standars-Version to 3.8.4 (no changes).
  * Added ${misc:Depends} as we are using debhelper.
  * Build SWI-Prolog bindings on linux architectures only as swi-prolog is not
    available on others.

 -- Michael Tautschnig <mt@debian.org>  Wed, 03 Feb 2010 00:11:22 +0100

ppl (0.10.2-3) unstable; urgency=low

  * Bumped Standars-Version to 3.8.3 (no changes).
  * Added README.source.
  * Added current upstream patches for 0.10.2.
  * Don't watch snapshots, only do stable releases.
  * Added SWI-Prolog bindings (new package libppl-swi, thanks Israel Herraiz
    <isra@herraiz.org>). Closes: #540083.

 -- Michael Tautschnig <mt@debian.org>  Fri, 16 Oct 2009 12:33:08 +0200

ppl (0.10.2-2) unstable; urgency=low

  * debian/rules: Use findstring instead of filter. This should really run
    the testsuite with -k on alpha.

 -- Arthur Loiret <aloiret@debian.org>  Sun, 24 May 2009 07:49:26 +0000

ppl (0.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends-Indep on xpdf-utils | poppler-utils instead of xpdf-utils.
  * Run the testsuite with -k, and never fail the build in case of regressions
    on alpha. (this will change when graphite will be used by default in GCC).
  * debian/patches/exception_tests_alpha: Remove.

 -- Arthur Loiret <aloiret@debian.org>  Mon, 11 May 2009 22:08:57 +0000

ppl (0.10.1~pre13-1) unstable; urgency=medium

  * New upstream snapshot.
    - Dropped patch for bigendian issues.
  * urgency=medium because of FTBFS workaround.
  * Disabled more tests on alpha - exception handling is utterly broken on
    alpha, which will also affect users of PPL on that architecture (probably
    GCC PR 8966) as raised exception cause immediate aborts.
  * Re-enabled Build-Depends-Indep and adapted rules accordingly.
    Closes: #517659.
  * Bumped Standars-Version to 3.8.1 (no changes).
  * Updated copyright information for several files that had been added in
    0.10 and also have a specific license.
  * Added comments to quilt patch (thanks lintian).
  * Added one sentence explaining the difference between libpwl4 und
    libpwl-dev (thanks lintian).
  * Dropped the ChangeLog hackery using symlinks, the ChangeLog is pretty
    small nowadays.
  * Moved pwl.hh to libpwl-dev package.

 -- Michael Tautschnig <mt@debian.org>  Mon, 13 Apr 2009 08:04:52 +0200

ppl (0.10-4) unstable; urgency=medium

  * urgency=medium because of FTBFS workaround.
  * With #229357 still being open, we can't use Build-Depends-Indep the way
    policy suggests. It would have been too beautiful anyway.

 -- Michael Tautschnig <mt@debian.org>  Fri, 20 Feb 2009 10:11:26 +0100

ppl (0.10-3) unstable; urgency=medium

  * urgency=medium because of FTBFS workaround.
  * Exclude test11-test18 of generalizedaffineimage3.cc on alpha because of
    bugs in gcc/exception handling.
  * Moved the dependencies needed for building the documentation to
    Build-Depends-Indep.
  * Introducing quilt to manage patches.

 -- Michael Tautschnig <mt@debian.org>  Tue, 17 Feb 2009 09:10:34 +0100

ppl (0.10-2) unstable; urgency=high

  * urgency=high because of RC bug fix.
  * Check snapshots and releases for newer versions.
  * Proper defines on bigendian systems. Closes: #514158.
  * Don't ignore errors while running make check (this would have made visible
    the above bug immediately).

 -- Michael Tautschnig <mt@debian.org>  Wed, 04 Feb 2009 20:42:26 +0100

ppl (0.10-1) unstable; urgency=low

  * New upstream release.

 -- Michael Tautschnig <mt@debian.org>  Wed, 05 Nov 2008 06:54:23 +0000

ppl (0.10~pre34-1) unstable; urgency=low

  [ Arthur Loiret ]
  * New upstream snapshot.
  * Fix build on arm.  Closes: #499746.
  * debian/libp[pw]l-dev.preinst: handle /usr/share/doc/libp[pw]l
    symlink->directory conversion.
  * debian/rules:
    - Disable DH_VERBOSE by default.
    - Some cleanup.
  * debian/Makefile.in: Update from upstream.

  [ Michael Tautschnig ]
  * Added ocaml-nox to build-depends.
  * Bumped libppl-c library version.

 -- Michael Tautschnig <mt@debian.org>  Tue, 07 Oct 2008 22:36:39 +0000

ppl (0.10~pre27-4) unstable; urgency=low

  * debian/rules:
    - Always copy config.sub an config.guess since we Build-Depends on
      autotools-dev.
    - Fix targets to have testsuite runs.
    - Add check to .PHONY.
  * Move ppl_lcdd and ppl_lpsol binaries and manpages from libppl7 to
    libppl-dev, make libppl-dev Replaces libppl7 (<< 0.10~pre27-4).

