## ppl 0.10.2-2maemo1

=== debian/changelog ===
ppl (0.10.2-2maemo1) fremantle; urgency=low

  * Maemo port of Ubuntu karmic version
  * disable documentation

 -- Thomas Tanner <tanner@maemory.com>  Fri, 05 Feb 2010 00:00:00 +0100

ppl (0.10.2-2build1) karmic; urgency=low

  * No change rebuild to fix misbuilt binaries on armel.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 21 Oct 2009 14:51:08 +0200
