=== debian/control ===
Source: ppl
Section: libs
Priority: optional
Maintainer: Thomas Tanner <tanner@maemory.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Michael Tautschnig <mt@debian.org>, Arthur Loiret <aloiret@debian.org>
Standards-Version: 3.8.1
Build-Depends: debhelper (>= 5.0.7~), quilt, libgmp3-dev (>= 4.1.3), autoconf, automake, libtool, autotools-dev
Homepage: http://www.cs.unipr.it/ppl/

Package: libppl7
Architecture: any
Depends: ${shlibs:Depends}
Description: Parma Polyhedra Library (runtime library)
 The Parma Polyhedra Library (PPL) is a C++ library for the
 manipulation of (not necessarily closed) convex polyhedra and other
 numerical abstractions.  The applications of convex polyhedra include
 program analysis, optimized compilation, integer and combinatorial
 optimization and statistical data-editing.  The Parma Polyhedra
 Library is user friendly (you write `x + 2*y + 5*z <= 7' when you
 mean it), fully dynamic (available virtual memory is the only
 limitation to the dimension of anything), written in standard C++,
 exception-safe, rather efficient and thoroughly documented.

Package: libppl0.10-dev
Architecture: any
Section: libdevel
Depends: libppl7 (= ${binary:Version}), libppl-c2 (= ${binary:Version}), ${shlibs:Depends}
Provides: libppl-c-dev, libppl-dev
Recommends: libgmp3-dev (>= 4.1.3)
Replaces: libppl6, libppl7 (<< 0.10~pre27-4)
Suggests: libppl-doc
Description: Parma Polyhedra Library (development)
 The Parma Polyhedra Library (PPL) is a C++ library for the
 manipulation of (not necessarily closed) convex polyhedra and other
 numerical abstractions.  The applications of convex polyhedra include
 program analysis, optimized compilation, integer and combinatorial
 optimization and statistical data-editing.  The Parma Polyhedra
 Library is user friendly (you write `x + 2*y + 5*z <= 7' when you
 mean it), fully dynamic (available virtual memory is the only
 limitation to the dimension of anything), written in standard C++,
 exception-safe, rather efficient and thoroughly documented.
 .
 This package provides the header files and static libraries for the
 C and C++ interfaces.

Package: libppl-c2
Architecture: any
Depends: libppl7 (= ${binary:Version}), ${shlibs:Depends}
Description: Parma Polyhedra Library (C interface)
 The Parma Polyhedra Library (PPL) is a C++ library for the
 manipulation of (not necessarily closed) convex polyhedra and other
 numerical abstractions.  The applications of convex polyhedra include
 program analysis, optimized compilation, integer and combinatorial
 optimization and statistical data-editing.  The Parma Polyhedra
 Library is user friendly (you write `x + 2*y + 5*z <= 7' when you
 mean it), fully dynamic (available virtual memory is the only
 limitation to the dimension of anything), written in standard C++,
 exception-safe, rather efficient and thoroughly documented.
 .
 This package provides the C interface.

Package: libpwl4
Architecture: any
Depends: ${shlibs:Depends}
Provides: libppl-pwl
Description: Parma Watchdog Library (Watchdog timers - runtime library)
 The Parma Watchdog Library (PWL) provides support for multiple,
 concurrent watchdog timers on systems providing setitimer(2).  The
 PWL is currently distributed with the Parma Polyhedra Library (PPL),
 but is totally independent from it.

Package: libpwl-dev
Architecture: any
Section: libdevel
Depends: libpwl4 (= ${binary:Version}), ${shlibs:Depends}
Provides: libppl-pwl-dev
Replaces: libpwl3
Description: Parma Watchdog Library (Watchdog timers - development)
 The Parma Watchdog Library (PWL) provides support for multiple,
 concurrent watchdog timers on systems providing setitimer(2).  The
 PWL is currently distributed with the Parma Polyhedra Library (PPL),
 but is totally independent from it.
 .
 This package provides the header files and static libraries.
