=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 #
 # Modified to make a template file for a multi-binary package with separated
 # build-arch and build-indep targets  by Bill Allombert 2001
+
+include /usr/share/quilt/quilt.make
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -29,7 +31,7 @@
 
 # FOR AUTOCONF 2.52 AND NEWER ONLY
 confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
-# only build the C,C++,SWI-Prolog interfaces
+# only build the C and C++ interfaces
 confflags += --enable-interfaces=c,cxx --disable-ppl_lpsol --disable-ppl_lcdd
 
 ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
@@ -51,8 +53,12 @@
 PPL_VERSION = $(shell grep "^AC_INIT" $(CURDIR)/configure.ac | sed -e "s/^AC_INIT.\[[^]]*\],[ \t]*\[\([^]]*\)\],.*/\1/")
 
 
+patch-stamp:
+	$(MAKE) -f debian/rules patch
+	touch $@
+
 configure: configure-stamp
-configure-stamp:
+configure-stamp: patch-stamp
 	dh_testdir
 	cp -f /usr/share/misc/config.sub config.sub
 	cp -f /usr/share/misc/config.sub Watchdog/config.sub
@@ -77,6 +83,7 @@
   else
 	$(MAKE) $(NJOBS) check
   endif
+#	-$(MAKE) $(NJOBS) -C Watchdog check
 else
 	@echo "Testsuite not run: $(with_check)."
 endif
@@ -86,10 +93,10 @@
 	export save_size=10000 ; $(MAKE) -C doc user-configured
 	touch $@
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
-	rm -f configure-stamp build-stamp
+	rm -f configure-stamp patch-stamp build-stamp
 	rm -f build-arch-stamp build-indep-stamp
 	[ ! -e Makefile ] || $(MAKE) distclean
 	rm -f config.sub Watchdog/config.sub
@@ -132,7 +139,6 @@
 #	dh_installman -s
 #	These directories will be symlinks instead.
 	rm -rf debian/libppl-c2/usr/share/doc/libppl-c2
-	rm -rf debian/libppl-swi/usr/share/doc/libppl-swi
 	dh_link -s
 	dh_strip -s
 	dh_compress -s
@@ -141,6 +147,7 @@
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s
+	maemo-optify
 	dh_md5sums -s
 	dh_builddeb -s
 
@@ -159,7 +166,7 @@
 	dh_md5sums -i
 	dh_builddeb -i
 
-binary: binary-arch binary-indep
+binary: binary-arch #binary-indep
 
 get-orig-source:
 	rm -f ppl_*.orig.tar.gz
