## ppl 0.11

=== debian/changelog ===
ppl (0.11-2ubuntu2) natty; urgency=low

  * Ignore results running the testsuite on amd64. One failing test.
    See LP: #697305.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Jan 2011 18:21:34 +0100

ppl (0.11-2ubuntu1~ppa1) lucid; urgency=low

  * PPA upload.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Jan 2011 14:35:24 +0100

ppl (0.11-2ubuntu1) natty; urgency=low

  * Merge with Debian; remaining changes:
    - Disable building the SWI-Prolog bindings as its in universe.
    - Build-depend on latex-xcolor.
  * Temporarily stop building the libppl-doc package, doxygen 1.7.2 issue.
  * libppl0.11-dev: Conflicts with libppl0.10-dev.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Jan 2011 12:24:08 +0100

ppl (0.11-2) experimental; urgency=low

  * Again disable 2 Prolog tests as there is some failure on PowerPC only that
    I'm unable to debug (see also 0.10.2-5).

 -- Michael Tautschnig <mt@debian.org>  Sun, 07 Nov 2010 19:39:32 +0100

ppl (0.11-1) experimental; urgency=low

  * New upstream release.
    - Dropped all patches as these issues have been fixed upstream.
    - Re-enabled Prolog interface on m68k as swi-prolog is now handled more
      flexibly by upstream.
    - SONAME bumps: libppl7 -> libppl9, libppl-c2 -> libppl-c4, libpwl4 ->
      libpwl5
  * Use release directories in watch file for better reliablity (upstream
    hasn't updated LATEST link).

 -- Michael Tautschnig <mt@debian.org>  Sun, 31 Oct 2010 13:41:36 +0100

ppl (0.10.2-9ubuntu2) natty; urgency=low

  * Add build dependency on latex-xcolor.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Dec 2010 17:45:04 +0100

ppl (0.10.2-9ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - disable building the SWI-Prolog bindings as its in universe.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Nov 2010 20:32:09 +0100

ppl (0.10.2-9) unstable; urgency=low

  * m68k hasn't fully caught up yet, don't build PPL Prolog interface on m68k.
    Closes: #601445.
  * Re-enabled Prolog interface on kfreebsd-* as swi-prolog is now available.

 -- Michael Tautschnig <mt@debian.org>  Tue, 26 Oct 2010 14:18:12 +0200

ppl (0.10.2-8) unstable; urgency=low

  * Ignore testsuite failures on armel as these seem to be caused by
    miscompilation, see #593324.
  * No more swi-prolog on mips, don't build PPL Prolog interface on mips.
    Closes: #593393.

 -- Michael Tautschnig <mt@debian.org>  Mon, 06 Sep 2010 12:31:59 +0200
