## ppl 0.11.2

=== debian/changelog ===
ppl (0.11.2-8ubuntu1) quantal; urgency=low

  * Merge with Debian; remaining changes:
    - Ignore results running the testsuite on amd64. One failing test.
    - Disable building the SWI-Prolog bindings as its in universe.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Oct 2012 17:07:26 +0200

ppl (0.11.2-8) unstable; urgency=low

  * Split out a ppl-dev package with the ppl-config binary.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Aug 2012 15:56:30 +0200

ppl (0.11.2-7) unstable; urgency=low

  * Mark libppl0.11-dev as Multi-Arch: same again, and install the header
    files in the multiarch include path.
    Needs a follow-up patch to split out the ppl-config binary.
  * Disable the build of the swi prolog bindings for DEB_STAGE 1 builds.
    Closes: #645003.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Aug 2012 12:49:10 +0200

ppl (0.11.2-6.2) unstable; urgency=low

  * Non-maintainer upload.

  [ Colin Watson <cjwatson@ubuntu.com> ]
  * Build the test suite with -gstabs rather than -g on powerpc, to avoid
    running out of memory, see Ubuntu bug #941676 (Closes: #683767)

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Fri, 03 Aug 2012 18:50:55 +0200

ppl (0.11.2-6.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Artur Rona <ari-tczew@tlen.pl> ]
  * debian/control: Add libncursesw5-dev to Build-Depends due to
    missing library, fixes FTBFS. (Closes: #669479)

  [ Nicolas Boulenguez ]
  * Remove usr/bin/ppl_pl from libppl-swi multiarch package (see #670024).
    Document equivalent functionality with the shared library.
  * control: libppl0.11-dev cannot be Multi-Arch: same because it contains
    arch-dependent headers (see #670025).
  * avoid_obsolete_installdox.patch: backport part of an upstream commit.
    Doxygen 1.8 does not use installdox anymore. (Closes: #680896)

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Tue, 17 Jul 2012 23:26:41 +0200

ppl (0.11.2-6ubuntu3) precise; urgency=low

  * Build the test suite with -gstabs rather than -g on powerpc, to avoid
    running out of memory (LP: #941676).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Apr 2012 01:17:49 +0100

ppl (0.11.2-6ubuntu2) precise; urgency=low

  * No-change rebuild against gzip 1.4-1ubuntu2 for multiarch-clean
    compression of documentation.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Feb 2012 15:32:06 -0800

ppl (0.11.2-6ubuntu1) precise; urgency=low

  * Merge with Debian; remaining changes:
    - Ignore results running the testsuite on amd64. One failing test.
    - Disable building the SWI-Prolog bindings as its in universe.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Oct 2011 15:56:41 +0200

ppl (0.11.2-6) unstable; urgency=low

  * Build-depend on libncurses5-dev, until swi-prolog-nox depends on it.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Oct 2011 12:14:46 +0200

ppl (0.11.2-5) unstable; urgency=low

  * Install into multiarch locations.
  * Use dpkg-buildflags to set CFLAGS/LDFLAGS.
  * Move changes into patch file. Closes: #643253.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Oct 2011 18:45:44 +0200

ppl (0.11.2-4) unstable; urgency=low
   
  * Patch away unused variables. Closes: #625417.
  * Don't ship libppl_swiprolog.la. Closes: #633365.

 -- Michael Tautschnig <mt@debian.org>  Sun, 10 Jul 2011 12:05:38 +0200

ppl (0.11.2-3ubuntu1) natty; urgency=low

  * Merge with Debian; remaining changes:
    - Ignore results running the testsuite on amd64. One failing test.
      See LP: #697305.
    - Disable building the SWI-Prolog bindings as its in universe.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Apr 2011 09:08:39 +0200

ppl (0.11.2-3) unstable; urgency=low
   
  * Build-depends-indep: re-added texlive-math-extra. Closes: #618148.

 -- Michael Tautschnig <mt@debian.org>  Mon, 14 Mar 2011 19:57:06 +0100

ppl (0.11.2-2) unstable; urgency=low
   
  * Build-depends libgmp-dev instead of libgmp3-dev.

 -- Michael Tautschnig <mt@debian.org>  Tue, 08 Mar 2011 01:14:00 +0100

ppl (0.11.2-1) unstable; urgency=low
   
  * New upstream version.
  * Upload to unstable.
  * Build-depend on doxygen-latex instead of latex-xcolor and texlive-* stuff.
    Closes: #616275.
  * Refined watch file pattern.

 -- Michael Tautschnig <mt@debian.org>  Thu, 03 Mar 2011 12:50:57 +0100

ppl (0.11-3) experimental; urgency=low
   
  * Build-depend on latex-xcolor. Closes: #606277,#606233.
  * libppl0.11-dev: Conflicts with libppl0.10-dev. Closes: #608454.
  * Thanks Matthias Klose for doing all the work.

 -- Michael Tautschnig <mt@debian.org>  Wed, 19 Jan 2011 21:55:49 +0100
