=== debian/control ===
--- 
+++ 
@@ -3,14 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
-Uploaders: Michael Tautschnig <mt@debian.org>, Arthur Loiret <aloiret@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 6.0.7~), libgmp3-dev, autoconf, libtool, autotools-dev
-Build-Depends-Indep: doxygen, graphviz, texlive-base-bin, texlive-latex-extra, texlive-latex-recommended, texlive-fonts-recommended, poppler-utils, ghostscript, texlive-extra-utils, latex-xcolor
+Uploaders: Michael Tautschnig <mt@debian.org>, Arthur Loiret <aloiret@debian.org>, Matthias Klose <doko@debian.org>
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 6.0.7~), libgmp-dev, autoconf, libtool, autotools-dev, chrpath,
+ libncurses5-dev, libncursesw5-dev
+Build-Depends-Indep: doxygen-latex, graphviz, poppler-utils, ghostscript, texlive-math-extra
 Homepage: http://www.cs.unipr.it/ppl/
 
 Package: libppl9
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Parma Polyhedra Library (runtime library)
  The Parma Polyhedra Library (PPL) is a C++ library for the
@@ -25,6 +28,8 @@
 
 Package: libppl0.11-dev
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Section: libdevel
 Depends: libppl9 (= ${binary:Version}), libppl-c4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: libppl-c-dev, libppl-dev
@@ -46,8 +51,29 @@
  This package provides the header files and static libraries for the
  C and C++ interfaces.
 
+Package: ppl-dev
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Section: devel
+Depends: libppl0.11-dev (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Replaces: libppl0.11-dev (<< 0.11.2-8~)
+Description: Parma Polyhedra Library (development binaries)
+ The Parma Polyhedra Library (PPL) is a C++ library for the
+ manipulation of (not necessarily closed) convex polyhedra and other
+ numerical abstractions.  The applications of convex polyhedra include
+ program analysis, optimized compilation, integer and combinatorial
+ optimization and statistical data-editing.  The Parma Polyhedra
+ Library is user friendly (you write `x + 2*y + 5*z <= 7' when you
+ mean it), fully dynamic (available virtual memory is the only
+ limitation to the dimension of anything), written in standard C++,
+ exception-safe, rather efficient and thoroughly documented.
+ .
+ This package provides the ppl-config binary.
+
 Package: libppl-c4
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libppl9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Parma Polyhedra Library (C interface)
  The Parma Polyhedra Library (PPL) is a C++ library for the
@@ -64,6 +90,8 @@
 
 Package: libpwl5
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: libppl-pwl
 Description: Parma Watchdog Library (Watchdog timers - runtime library)
@@ -74,6 +102,8 @@
 
 Package: libpwl-dev
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Section: libdevel
 Depends: libpwl5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: libppl-pwl-dev
@@ -86,25 +116,27 @@
  .
  This package provides the header files and static libraries.
 
-#Package: libppl-doc
-#Architecture: all
-#Section: doc
-#Depends: ${misc:Depends}
-#Description: Parma Polyhedra Library: Documentation
-# The Parma Polyhedra Library (PPL) is a C++ library for the
-# manipulation of (not necessarily closed) convex polyhedra and other
-# numerical abstractions.  The applications of convex polyhedra include
-# program analysis, optimized compilation, integer and combinatorial
-# optimization and statistical data-editing.  The Parma Polyhedra
-# Library is user friendly (you write `x + 2*y + 5*z <= 7' when you
-# mean it), fully dynamic (available virtual memory is the only
-# limitation to the dimension of anything), written in standard C++,
-# exception-safe, rather efficient and thoroughly documented.
-# .
-# This package provides the documentation.
+Package: libppl-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Parma Polyhedra Library: Documentation
+ The Parma Polyhedra Library (PPL) is a C++ library for the
+ manipulation of (not necessarily closed) convex polyhedra and other
+ numerical abstractions.  The applications of convex polyhedra include
+ program analysis, optimized compilation, integer and combinatorial
+ optimization and statistical data-editing.  The Parma Polyhedra
+ Library is user friendly (you write `x + 2*y + 5*z <= 7' when you
+ mean it), fully dynamic (available virtual memory is the only
+ limitation to the dimension of anything), written in standard C++,
+ exception-safe, rather efficient and thoroughly documented.
+ .
+ This package provides the documentation.
 
 #Package: libppl-swi
 #Architecture: alpha amd64 armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mipsel powerpc s390 sparc 
+#Multi-Arch: same
+#Pre-Depends: ${misc:Pre-Depends}
 #Depends: libppl9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, swi-prolog
 #Description: Parma Polyhedra Library (SWI Prolog interface)
 # The Parma Polyhedra Library (PPL) is a C++ library for the
