=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,6 @@
 # Modified to make a template file for a multi-binary package with separated
 # build-arch and build-indep targets  by Bill Allombert 2001
 
-include /usr/share/quilt/quilt.make
-
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
@@ -19,20 +17,25 @@
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_MULTIARCH   ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wall -g
+CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS) -Wall -g
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 # FOR AUTOCONF 2.52 AND NEWER ONLY
 confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
-# only build the C and C++ interfaces
-confflags += --enable-interfaces=c,cxx --disable-ppl_lpsol --disable-ppl_lcdd
+confflags += --disable-ppl_lpsol --disable-ppl_lcdd
+
+## Disable the SWI-Prolog interface during architecture bootstrap
+ifeq ($(DEB_STAGE),stage1)
+confflags += --enable-interfaces=c,cxx
+DH_OPTIONS += -Nlibppl-swi
+export DH_OPTIONS
+else
+confflags += --enable-interfaces=c,cxx
+endif
 
 ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
   with_check := disabled by DEB_BUILD_OPTIONS.
@@ -48,23 +51,34 @@
   NJOBS := -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
+ifeq (powerpc-linux-gnu,$(DEB_HOST_GNU_TYPE))
+  # powerpc runs out of memory building the test suite with -g, but is OK
+  # with -gstabs instead.
+  CHECK_ENV := CFLAGS="$(CFLAGS:-g=-gstabs)" CXXFLAGS="$(CXXFLAGS:-g=-gstabs)"
+else
+  CHECK_ENV :=
+endif
+
 # If the version string was set using automake then the build would
 # have to be configured before the dpkg-buildpackage command.
 PPL_VERSION = $(shell grep "^AC_INIT" $(CURDIR)/configure.ac | sed -e "s/^AC_INIT.\[[^]]*\],[ \t]*\[\([^]]*\)\],.*/\1/")
 
 
-patch-stamp:
-	$(MAKE) -f debian/rules patch
-	touch $@
-
 configure: configure-stamp
-configure-stamp: patch-stamp
+configure-stamp:
 	dh_testdir
 	cp -f /usr/share/misc/config.sub config.sub
 	cp -f /usr/share/misc/config.sub Watchdog/config.sub
 	cp -f /usr/share/misc/config.guess config.guess
 	cp -f /usr/share/misc/config.guess Watchdog/config.guess
-	./configure $(confflags) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)"
+	./configure $(confflags) \
+		--prefix=/usr \
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+		--mandir=\$${prefix}/share/man \
+		--infodir=\$${prefix}/share/info \
+		CFLAGS="$(CFLAGS)" \
+		CXXFLAGS="$(CXXFLAGS)" \
+		LDFLAGS="$(LDFLAGS)"
 	touch $@
 
 build: build-arch
@@ -76,27 +90,27 @@
 check:
 	dh_testdir
 ifeq ($(with_check),yes)
-  ifneq (,$(findstring alpha,$(DEB_HOST_GNU_TYPE)))
+  ifeq (,$(filter-out x86_64-linux-gnu alpha-linux-gnu arm-linux-gnueabi,$(DEB_HOST_GNU_TYPE)))
 	# There are some failures in the testsuite on alpha,
 	# maybe related to http://gcc.gnu.org/PR8966
-	$(MAKE) $(NJOBS) -k check || true
+	# Testsuite is miscompiled on arm, see #593324
+	$(MAKE) $(NJOBS) -k check $(CHECK_ENV) || true
   else
-	$(MAKE) $(NJOBS) check
+	$(MAKE) $(NJOBS) check $(CHECK_ENV)
   endif
-#	-$(MAKE) $(NJOBS) -C Watchdog check
 else
 	@echo "Testsuite not run: $(with_check)."
 endif
 
 build-indep: build-indep-stamp
 build-indep-stamp: configure-stamp
-	export save_size=10000 ; $(MAKE) -C doc user-configured
+#	export save_size=10000 ; $(MAKE) -C doc user-configured
 	touch $@
 
-clean: unpatch
-	dh_testdir
-	dh_testroot
-	rm -f configure-stamp patch-stamp build-stamp
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f configure-stamp build-stamp
 	rm -f build-arch-stamp build-indep-stamp
 	[ ! -e Makefile ] || $(MAKE) distclean
 	rm -f config.sub Watchdog/config.sub
@@ -125,20 +139,27 @@
 #	Add here commands to install the arch part of the package into
 # 	debian/tmp.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)
+	mv debian/tmp/usr/include/*.*h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/
 	$(MAKE) -C Watchdog install DESTDIR=$(CURDIR)/debian/tmp
+	-chrpath -d \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libppl.so.9.0.0 \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libppl_c.so.4.0.0 \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ppl/libppl_swiprolog.so
 
 binary-arch: install-arch
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs -s -Nlibpwl-dev -Nlibpwl4 ChangeLog
-	dh_installchangelogs -plibpwl-dev -plibpwl4 Watchdog/ChangeLog
+	dh_installchangelogs -s -Nlibpwl-dev -Nlibpwl5 ChangeLog
+	dh_installchangelogs -plibpwl-dev -plibpwl5 Watchdog/ChangeLog
 	dh_installdocs -s
 	dh_install -s --sourcedir=debian/tmp
 #	dh_installexamples -s
 #	dh_installinfo -s
 #	dh_installman -s
 #	These directories will be symlinks instead.
-	rm -rf debian/libppl-c2/usr/share/doc/libppl-c2
+	rm -rf debian/libppl-c4/usr/share/doc/libppl-c4
+	rm -rf debian/libppl-swi/usr/share/doc/libppl-swi
 	dh_link -s
 	dh_strip -s
 	dh_compress -s
@@ -147,7 +168,6 @@
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s
-	maemo-optify
 	dh_md5sums -s
 	dh_builddeb -s
 
@@ -166,7 +186,7 @@
 	dh_md5sums -i
 	dh_builddeb -i
 
-binary: binary-arch #binary-indep
+binary: binary-arch binary-indep
 
 get-orig-source:
 	rm -f ppl_*.orig.tar.gz
