=== debian/watch ===
version=3

# opts="uversionmangle=s/pre/~pre/" \
#   http://www.cs.unipr.it/ppl/Download/ftp/snapshots/ppl-(.*)\.tar\.gz
http://www.cs.unipr.it/ppl/Download/ftp/releases/(.*\..*)/ppl-(\d.*)\.tar\.bz2
